Package ru.bitel.bgbilling.modules.bvcom.server.bean

# Class BVParams

java.lang.Object
ru.bitel.bgbilling.modules.bvcom.server.bean.BVParams

public class BVParams extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BVParams(ModuleSetup moduleSetup)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCallbackUrl()`
  `int`
  `getChargeTypeId()`
  `String`
  `getClient()`
  `String`
  `getComment()`
  `String`
  `getCurrency()`
  `int`
  `getEndPointId()`
  `String`
  `getKey()`
  `String`
  `getMerchantControl()`
  `static int`
  `getOldProtocolCurrency()`
  `int`
  `getPaymentTypeId()`
  `int`
  `getProtocolVersion()`
  `String`
  `getResultUrl()`
  `String`
  `getServerUrl()`
  `DecimalFormat`
  `getTransactionFormat()`
  `void`
  `setCallbackUrl(String callbackUrl)`
  `void`
  `setChargeTypeId(int chargeTypeId)`
  `void`
  `setClient(String client)`
  `void`
  `setComment(String comment)`
  `void`
  `setCurrency(String currency)`
  `void`
  `setEndPointId(int endPointId)`
  `void`
  `setKey(String key)`
  `void`
  `setMerchantControl(String merchantControl)`
  `void`
  `setPaymentTypeId(int paymentTypeId)`
  `void`
  `setProtocolVersion(int version)`
  `void`
  `setResultUrl(String urlResult)`
  `void`
  `setServerUrl(String serverUrl)`
  `void`
  `setTransactionFormat(DecimalFormat format)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BVParams

    public BVParams(ModuleSetup moduleSetup)

- ## Method Details

  - ### getClient

    public String getClient()

  - ### setClient

    public void setClient(String client)

  - ### getTransactionFormat

    public DecimalFormat getTransactionFormat()

  - ### setTransactionFormat

    public void setTransactionFormat(DecimalFormat format)

  - ### setKey

    public void setKey(String key)

  - ### setPaymentTypeId

    public void setPaymentTypeId(int paymentTypeId)

  - ### setComment

    public void setComment(String comment)

  - ### getKey

    public String getKey()

  - ### getPaymentTypeId

    public int getPaymentTypeId()

  - ### getComment

    public String getComment()

  - ### getOldProtocolCurrency

    public static int getOldProtocolCurrency()

  - ### getResultUrl

    public String getResultUrl()

  - ### setResultUrl

    public void setResultUrl(String urlResult)

  - ### getProtocolVersion

    public int getProtocolVersion()

  - ### setProtocolVersion

    public void setProtocolVersion(int version)

  - ### getEndPointId

    public int getEndPointId()

  - ### setEndPointId

    public void setEndPointId(int endPointId)

  - ### getMerchantControl

    public String getMerchantControl()

  - ### setMerchantControl

    public void setMerchantControl(String merchantControl)

  - ### getCallbackUrl

    public String getCallbackUrl()

  - ### setCallbackUrl

    public void setCallbackUrl(String callbackUrl)

  - ### getCurrency

    public String getCurrency()

  - ### setCurrency

    public void setCurrency(String currency)

  - ### getChargeTypeId

    public int getChargeTypeId()

  - ### setChargeTypeId

    public void setChargeTypeId(int chargeTypeId)

  - ### getServerUrl

    public String getServerUrl()

  - ### setServerUrl

    public void setServerUrl(String serverUrl)